Create SubscriptionDelivery

POSThttps://organization.dattaremit.com/api/subscription_deliveries/

Requires a organization-scoped key.

Creates a SubscriptionDelivery.

## Subscription Delivery

Create a SubscriptionDelivery to retry the delivery of a SubscriptionEvent to a Subscription.

## State

StateDescription
storingThe Platform is storing the SubscriptionDelivery details in our private store
completedThe Platform has successfully delivered the SubscriptionEvent to specified Subscription
failingThe Platform is failing to deliver the SubscriptionDelivery, a new attempt will be made (see next_attempt_at)
failedThe Platform has failed to deliver the SubscriptionDelivery, no more attempts will be made

Required scope: **subscription_events:execute

Body Params

required
subscription_event_guidstringrequired

The event guid .

subscription_guidstringrequired

The subscription guid.

Responses

201

SubscriptionDelivery created

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/subscription_deliveries/ \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "subscription_event_guid": "string",
  "subscription_guid": "string"
}'

Response

SubscriptionDelivery created

{
  "guid": "string",
  "response": "string",
  "subscription_event_guid": "string",
  "subscription_guid": "string",
  "state": "storing",
  "next_attempt_at": "2026-07-20T16:27:51.438Z",
  "attempt_count": 1,
  "completed_at": "2026-07-20T16:27:51.438Z",
  "failed_at": "2026-07-20T16:27:51.438Z",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z"
}